# Generated by Django 4.2.6 on 2023-10-25 09:34

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Fabrication',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_debut', models.DateTimeField()),
                ('informations', models.TextField()),
                ('status', models.SmallIntegerField(choices=[('1', 'Non Demarre'), ('2', 'Ec Moins'), ('3', 'Ec Plus'), ('4', 'Termine')], default='1')),
            ],
        ),
        migrations.CreateModel(
            name='Formule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code_vrac', models.CharField(max_length=255, unique=True)),
                ('designation', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Machine',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=255, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Pesee',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.SmallIntegerField(choices=[('0', 'Non Demarre'), ('1', 'Of Lance'), ('2', 'Ot Cree'), ('3', 'Of Prepare'), ('4', 'En Attente'), ('5', 'En Cours'), ('6', 'Termine')], default='0')),
                ('numero_ot', models.BigIntegerField(unique=True)),
                ('date_debut', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='OrdreFabrication',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero_of', models.BigIntegerField(unique=True)),
                ('numero_lot', models.CharField(max_length=255)),
                ('temps_pesee', models.DecimalField(decimal_places=1, max_digits=4)),
                ('temps_fabrication', models.DecimalField(decimal_places=1, max_digits=4)),
                ('fabrication', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='planning.fabrication')),
                ('formule', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='planning.formule')),
                ('machine', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='planning.machine')),
                ('pesee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='planning.pesee')),
            ],
        ),
        migrations.AddField(
            model_name='fabrication',
            name='formule',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='planning.formule'),
        ),
        migrations.CreateModel(
            name='Critere',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('consigne', models.TextField()),
                ('code_critere', models.CharField(max_length=255, unique=True)),
                ('lien', models.CharField(max_length=255)),
                ('formules', models.ManyToManyField(related_name='criteres', to='planning.formule')),
            ],
        ),
    ]
